Несколько уязвимостей в Extended Module Player

Дата публикации:
28.12.2007
Дата изменения:
28.12.2007
Всего просмотров:
1185
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Extended Module Player 2.x
Уязвимые версии: Extended Module Player 2.5.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки при обработке знаковых переменных в функциях "test_oxm()" и "decrunch_oxm()" в misc/oxm.c. Удаленный пользователь может с помощью отрицательного поля "ilen" вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в функции "dtt_load()" в файле loaders/dtt_load.c. Злоумышленник может вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: xmp.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Extended Module Player Buffer Overflow PoC

или введите имя

CAPTCHA